Box2D: b2MouseJoint Class Reference

# b2MouseJoint Class Reference

`#include <b2MouseJoint.h>`

Inheritance diagram for b2MouseJoint:

List of all members.

## Public Member Functions

b2Vec2 | GetAnchorA () const
| Implements b2Joint.
b2Vec2 | GetAnchorB () const
| Implements b2Joint.
b2Vec2 | GetReactionForce (float32 inv_dt) const
| Implements b2Joint.
float32 | GetReactionTorque (float32 inv_dt) const
| Implements b2Joint.
void | SetTarget (const b2Vec2 &target)
| Use this to update the target point.
const b2Vec2 & | GetTarget () const
void | SetMaxForce (float32 force)
| Set/get the maximum force in Newtons.
float32 | GetMaxForce () const
void | SetFrequency (float32 hz)
| Set/get the frequency in Hertz.
float32 | GetFrequency () const
void | SetDampingRatio (float32 ratio)
| Set/get the damping ratio (dimensionless).
float32 | GetDampingRatio () const

## Protected Member Functions

| b2MouseJoint (const b2MouseJointDef *def)
void | InitVelocityConstraints (const b2TimeStep &step)
void | SolveVelocityConstraints (const b2TimeStep &step)
bool | SolvePositionConstraints (float32 baumgarte)

## Protected Attributes

b2Vec2 | m_localAnchor
b2Vec2 | m_target
b2Vec2 | m_impulse
b2Mat22 | m_mass
b2Vec2 | m_C
float32 | m_maxForce
float32 | m_frequencyHz
float32 | m_dampingRatio
float32 | m_beta
float32 | m_gamma

## Friends

class | b2Joint

## Detailed Description

A mouse joint is used to make a point on a body track a specified world point. This a soft constraint with a maximum force. This allows the constraint to stretch and without applying huge forces. NOTE: this joint is not documented in the manual because it was developed to be used in the testbed. If you want to learn how to use the mouse joint, look at the testbed.

## Constructor & Destructor Documentation

b2MouseJoint::b2MouseJoint | ( | const b2MouseJointDef * | def | ) | `[protected]`

## Member Function Documentation

b2Vec2 b2MouseJoint::GetAnchorA | ( |  | ) | const`[virtual]`

Implements b2Joint.

Implements b2Joint.

b2Vec2 b2MouseJoint::GetAnchorB | ( |  | ) | const`[virtual]`

Implements b2Joint.

Implements b2Joint.

float32 b2MouseJoint::GetDampingRatio | ( |  | ) | const

float32 b2MouseJoint::GetFrequency | ( |  | ) | const

float32 b2MouseJoint::GetMaxForce | ( |  | ) | const

b2Vec2 b2MouseJoint::GetReactionForce | ( | float32 | inv_dt | ) | const`[virtual]`

Implements b2Joint.

Implements b2Joint.

float32 b2MouseJoint::GetReactionTorque | ( | float32 | inv_dt | ) | const`[virtual]`

Implements b2Joint.

Implements b2Joint.

const b2Vec2 & b2MouseJoint::GetTarget | ( |  | ) | const

void b2MouseJoint::InitVelocityConstraints | ( | const b2TimeStep & | step | ) | `[protected, virtual]`

Implements b2Joint.

void b2MouseJoint::SetDampingRatio | ( | float32 | ratio | ) |

Set/get the damping ratio (dimensionless).

void b2MouseJoint::SetFrequency | ( | float32 | hz | ) |

Set/get the frequency in Hertz.

void b2MouseJoint::SetMaxForce | ( | float32 | force | ) |

Set/get the maximum force in Newtons.

void b2MouseJoint::SetTarget | ( | const b2Vec2 & | target | ) |

Use this to update the target point.

bool b2MouseJoint::SolvePositionConstraints | ( | float32 | baumgarte | ) | `[inline, protected, virtual]`

Implements b2Joint.

void b2MouseJoint::SolveVelocityConstraints | ( | const b2TimeStep & | step | ) | `[protected, virtual]`

Implements b2Joint.

## Friends And Related Function Documentation

friend class b2Joint`[friend]`

## Member Data Documentation

float32 b2MouseJoint::m_beta`[protected]`

b2Vec2 b2MouseJoint::m_C`[protected]`

float32 b2MouseJoint::m_dampingRatio`[protected]`

float32 b2MouseJoint::m_frequencyHz`[protected]`

float32 b2MouseJoint::m_gamma`[protected]`

b2Vec2 b2MouseJoint::m_impulse`[protected]`

b2Vec2 b2MouseJoint::m_localAnchor`[protected]`

b2Mat22 b2MouseJoint::m_mass`[protected]`

float32 b2MouseJoint::m_maxForce`[protected]`

b2Vec2 b2MouseJoint::m_target`[protected]`

The documentation for this class was generated from the following files:

- Box2D/Box2D/Dynamics/Joints/b2MouseJoint.h
- Box2D/Box2D/Dynamics/Joints/b2MouseJoint.cpp